> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jurichat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Enviar lembrete de audiência

> Envia um lembrete de audiência pelo aparelho indicado, criando ou reaproveitando o contato e a conversa. No WhatsApp Oficial exige `templateName`. Idempotente por `idempotencyKey`.



## OpenAPI

````yaml https://api.jurichat.com/docs/client/openapi.json post /integration/juridiq/audience-reminder
openapi: 3.1.0
info:
  title: JuriChat API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.jurichat.com
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /integration/juridiq/audience-reminder:
    post:
      tags:
        - Integration
      summary: Enviar lembrete de audiência
      description: >-
        Envia um lembrete de audiência pelo aparelho indicado, criando ou
        reaproveitando o contato e a conversa. No WhatsApp Oficial exige
        `templateName`. Idempotente por `idempotencyKey`.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                idempotencyKey:
                  type: string
                  minLength: 8
                  maxLength: 200
                deviceId:
                  type: string
                  minLength: 1
                phone:
                  type: string
                  minLength: 10
                  maxLength: 20
                message:
                  type: string
                  minLength: 1
                  maxLength: 1200
                contactName:
                  type: string
                  maxLength: 120
                reference:
                  type: object
                  properties:
                    audienceId:
                      type: string
                    personId:
                      type: string
                  required:
                    - audienceId
                    - personId
                  additionalProperties: false
                templateName:
                  type: string
                  minLength: 1
                variables:
                  type: array
                  items:
                    type: string
                headerVariables:
                  type: array
                  items:
                    type: string
                headerVariableNames:
                  type: array
                  items:
                    type: string
                bodyVariableNames:
                  type: array
                  items:
                    type: string
                buttonVariables:
                  type: array
                  items:
                    type: object
                    properties:
                      index:
                        type: integer
                        minimum: 0
                      parameters:
                        type: array
                        items:
                          type: string
                      parameterNames:
                        type: array
                        items:
                          type: string
                    required:
                      - index
                      - parameters
                    additionalProperties: false
                headerMedia:
                  type: object
                  properties:
                    format:
                      type: string
                      enum:
                        - IMAGE
                        - VIDEO
                        - DOCUMENT
                        - LOCATION
                    link:
                      type: string
                    filename:
                      type: string
                    latitude:
                      anyOf:
                        - type: string
                        - type: number
                    longitude:
                      anyOf:
                        - type: string
                        - type: number
                    name:
                      type: string
                    address:
                      type: string
                  required:
                    - format
                  additionalProperties: false
              required:
                - idempotencyKey
                - deviceId
                - phone
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - SENT
                      - ALREADY_SENT
                  externalMessageId:
                    type: string
                    nullable: true
                  conversationId:
                    type: string
                    nullable: true
                required:
                  - status
                  - externalMessageId
                  - conversationId
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  details: {}
                required:
                  - message
                  - statusCode
                additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  details: {}
                required:
                  - message
                  - statusCode
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  details: {}
                required:
                  - message
                  - statusCode
                additionalProperties: false
        '422':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  details: {}
                required:
                  - message
                  - statusCode
                additionalProperties: false
        '502':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  details: {}
                required:
                  - message
                  - statusCode
                additionalProperties: false
        '503':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  details: {}
                required:
                  - message
                  - statusCode
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-jurichat-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-jurichat-api-key.

````